Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Campaign stats

Prev Next
Post
/analytics/campaigns_stats

Used to get statistics for campaigns over a given time period.

Body parameters
object
apptoken
string Required

Your App token

from
string Required

Start date for the analytics query (YYYY-MM-DD)

to
string Required

End date for the analytics query (YYYY-MM-DD)

campaign_id
integer (int32)

Optional. Filter by a specific campaign ID

Responses
200

200

Totals
{
  "success": "True",
  "code": "200",
  "data": {
    "totals": [
      {
        "id": "45352249",
        "title": "Web push notification",
        "web_push_sent": "6",
        "web_push_delivered": "6",
        "web_push_opened": "1",
        "web_push_open_rate": "16.67"
      },
      {
        "id": "47547777",
        "title": "On site test",
        "inweb_sent": "12",
        "inweb_delivered": "11",
        "inweb_opened": "0",
        "inweb_open_rate": "0"
      },
      {
        "id": "50236250",
        "title": "email campaign",
        "email_sent": "7",
        "email_failed": "4",
        "email_delivered": "3",
        "email_unsubscribed": "0",
        "email_complained": "0",
        "email_opened": "2",
        "email_clicked": "0",
        "email_open_rate": "66.67",
        "email_click_rate": "0"
      }
    ]
  }
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
object
totals
Array of object
object
id
string
Example45352249
title
string
ExampleWeb push notification
web_push_sent
integer
Default0
Example6
web_push_delivered
integer
Default0
Example6
web_push_opened
integer
Default0
Example1
web_push_open_rate
number
Default0
Example16.67
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string